Bug 23119 - Remove npgsql from mono (or at least update)
Summary: Remove npgsql from mono (or at least update)
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: General (show other bugs)
Version: 3.8.0
Hardware: All All
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2014-09-18 02:41 UTC by Shay Rojansky
Modified: 2015-12-24 15:02 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Shay Rojansky 2014-09-18 02:41:21 UTC
Hi.

I'm a core contributor at npgsql, the Postgresql driver for .NET. We've received requests and bug reports from users that were related to confusion regarding npgsql being bundled with mono (https://github.com/mono/mono/tree/effa4c07ba850bedbe1ff54b2a5df281c058ebcb/mcs/class/Npgsql). The version in the mono master is truly ancient by now...

It seems like npgsql should probably removed from there, people can use nuget to install the latest version like any other library etc.

If there is some good reason to keep bundling npgsql with mono, I can submit a PR with the latest version as a submodule, and also do this as we release stable versions...
Comment 1 Shay Rojansky 2014-11-04 05:46:12 UTC
Any comment on this?

I just spent some time helping out a poor user who was accidentally picking up the mono-bundled Npgsql, which was so old it caused a startup crash.

https://groups.google.com/forum/#!topic/npgsql-help/Jjk-FEleJcA

Please consider simply removing this from mono and letting people get the latest version if they want it.
Comment 2 Oskar Berggren 2014-11-27 14:03:17 UTC
Also reported four years ago:
https://bugzilla.novell.com/show_bug.cgi?id=650180
Comment 3 Oskar Berggren 2014-11-29 12:52:35 UTC
Shay, there seem to be support for removing it:
http://lists.ximian.com/pipermail/mono-devel-list/2014-November/042444.html

Perhaps you can submit a pull request to do that?
Comment 4 Shay Rojansky 2014-11-29 14:48:47 UTC
Absolutely, I'll submit a PR removing npgsql in a week or two.
Comment 5 Alexander Köplinger 2015-02-24 15:56:10 UTC
Hey guys, I did this on my own as the merge window for Mono 4.0 is closing soon: https://github.com/mono/mono/pull/1591
Comment 6 Shay Rojansky 2015-02-25 04:09:08 UTC
Alexander, thanks for doing this and sorry I haven't gotten around it myself...
Comment 7 Miguel de Icaza [MSFT] 2015-12-24 15:02:58 UTC
This was done.